// memberikan format number untuk setiap ribuan,
import 'package:intl/intl.dart';

const String separatorThousand = '.';

NumberFormat formatNumber() {
  // tentukan separator di file constanta.dart
  if (separatorThousand == ',') {
    return NumberFormat('#,###');
  } else if (separatorThousand == '.') {
    return NumberFormat.currency(locale: 'id', symbol: '', decimalDigits: 0);
  } else {
    return NumberFormat('#,###');
  }
}

// parsing amount dari String backend, contoh string 10000.00
String parsingAmountBackend(String amount) {
  double d = double.tryParse(amount) ?? 0.0;
  int result = d.toInt();
  return formatNumber().format(result);
}
